# Uses of Class
org.apache.lucene.sandbox.facet.utils.ComparableUtils.ByLongValueComparable

Packages that use ComparableUtils.ByLongValueComparable
Package
Description
org.apache.lucene.sandbox.facet.utils
Sandbox faceting: utility classes to make it easier to use the new API for standard use cases.

- ## Uses of ComparableUtils.ByLongValueComparable in org.apache.lucene.sandbox.facet.utils

  Methods in org.apache.lucene.sandbox.facet.utils that return types with arguments of type ComparableUtils.ByLongValueComparable
  Modifier and Type
  Method
  Description
  `static ComparableSupplier<ComparableUtils.ByLongValueComparable>`
  ComparableUtils.`byLongValue(LongValueFacetCutter longValueFacetCutter)`
  `ComparableSupplier` to sort ordinals by long value from `LongValueFacetCutter` (descending).
  Methods in org.apache.lucene.sandbox.facet.utils with parameters of type ComparableUtils.ByLongValueComparable
  Modifier and Type
  Method
  Description
  `int`
  ComparableUtils.ByLongValueComparable.`compareTo(ComparableUtils.ByLongValueComparable o)`